#ifndef GDT_H
#define GDT_H

#include <stdint.h>

struct gdt_entry
{
    uint16_t limit_1    : 16;
    uint16_t base_1     : 16;
    uint8_t base_2      : 8;
    uint8_t seg_type    : 4;
    uint8_t desc_type   : 1;
    uint8_t desc_priv   : 2;
    uint8_t present     : 1;
    uint8_t limit_2     : 4;
    uint8_t available   : 1;
    uint8_t l           : 1;
    uint8_t db          : 1;
    uint8_t granularity : 1;
    uint8_t base_3      : 8;
} __attribute__ ((packed));

#endif  /* !GDT_H */
